%global namedreltag .Final-redhat-1
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 1.1.1.Final-redhat-1

Name:           jboss-invocation
Summary:        Invocation API
Version:	1.1.1
Release:        3.Final_redhat_1%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: org.jboss.invocation-jboss-invocation-1.1.1.Final-redhat-1-sources.zip
Source101: org.jboss.invocation-jboss-invocation-1.1.1.Final-redhat-1-patches.zip
Source102: jboss-invocation-1.1.1.Final-redhat-1-sources.jar
Source103: jboss-invocation-1.1.1.Final-redhat-1.pom
Source104: jboss-invocation-1.1.1.Final-redhat-1-javadoc.jar
Source105: jboss-invocation-1.1.1.Final-redhat-1.jar
%endif

License:        LGPLv2+
URL:            http://git.app.eng.bos.redhat.com/git/jbossas/jboss-invocation.git
Epoch: 0

BuildArch:        noarch

%if %without mead
BuildRequires: %{name}-mead
%endif
BuildRequires: unzip

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java

%description
Invocation Application Programming Interface


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.


%prep

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_mavenpomdir}

#poms
%if %without mead
install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%else
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%endif
%add_to_maven_depmap org.jboss.invocation %{name} %{namedversion} JPP %{name}

#jars
%if %without mead
  install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%else
  install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%endif

%if %without mead
  install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%else
  install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%endif

%if %without mead
  install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%else
  install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-javadoc.jar
%else
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
%endif
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
%{_javadir}*/%{name}-javadoc.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}


%changelog
* Thu Apr 19 2012 Lin Gao <lgao@redhat.com> 1.1.1-3.Final_redhat_1
- Re run vman to use jboss-parent:8-redhat-1

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> 1.1.1-2.Final_redhat_1.1
- Change jars install path
- Builds javadoc subpackage

* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-2
- Populate avadir-signed

* Mon Jan 16 2012 Fernando Nasser <fnasser@redhat.com> 1.1.1-1
- Wrap MEAD build for EAP 6
